Bug 1013893 - Indexed search are logged with 'notes=U' in the access logs
Indexed search are logged with 'notes=U' in the access logs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On: 1013160
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 22:11 EDT by Nathan Kinder
Modified: 2014-06-17 23:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1013160
Environment:
Last Closed: 2014-06-13 08:18:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-09-30 22:11:33 EDT
+++ This bug was initially created as a clone of Bug #1013160 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47354

A filter containing unindexed component will trigger a log with 'notes=U' although the full filter is indexed.

Step to reproduce:
   * create an instance
   * import  /usr/share/dirsrv/data/Example-views.ldif (the bug is not related to views/roles/cos but this ldif file is convenient to reproduce)
   * do a searche with '&' with only indexed component. The log will NOT contain 'notes=U'. Then add at least a component not indexed (being not indexed or allid), then the search will be logged 'notes=U' although it was indexed with the others components.



{{{
[30/Apr/2013:17:46:46 +0200] conn=10 op=1 SRCH base="dc=example,dc=com" scope=2 filter="(l=Santa Clara)" attrs="distinguishedName"
[30/Apr/2013:17:46:46 +0200] conn=10 op=1 RESULT err=0 tag=101 nentries=76 etime=0

[30/Apr/2013:17:47:36 +0200] conn=11 op=1 SRCH base="dc=example,dc=com" scope=2 filter="(&(l=Santa Clara)(roomNumber=*))" attrs=ALL
[30/Apr/2013:17:47:36 +0200] conn=11 op=1 RESULT err=0 tag=101 nentries=76 etime=0 notes=U

[30/Apr/2013:17:48:15 +0200] conn=12 op=1 SRCH base="dc=example,dc=com" scope=2 filter="(&(roomNumber=*)(l=Santa Clara))" attrs=ALL
[30/Apr/2013:17:48:15 +0200] conn=12 op=1 RESULT err=0 tag=101 nentries=76 etime=0 notes=U

[30/Apr/2013:17:48:47 +0200] conn=13 op=1 SRCH base="dc=example,dc=com" scope=2 filter="(&(roomNumber=3445)(l=Santa Clara))" attrs=ALL
[30/Apr/2013:17:48:47 +0200] conn=13 op=1 RESULT err=0 tag=101 nentries=1 etime=0 notes=U

[30/Apr/2013:17:49:14 +0200] conn=14 op=1 SRCH base="dc=example,dc=com" scope=2 filter="(&(roomNumber=34*)(l=Santa Clara))" attrs=ALL
[30/Apr/2013:17:49:14 +0200] conn=14 op=1 RESULT err=0 tag=101 nentries=2 etime=0 notes=U

}}}
Comment 2 Sankar Ramalingam 2014-01-30 02:48:42 EST
Logconv automated tests are passing for TestCase [logconv04] result-> [PASS]
Hence, marking the bug as Verified.

Build tested - 389-ds-base-1.3.1.6-15
Comment 3 Ludek Smid 2014-06-13 08:18:01 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.